Subject: Error: 530 Login incorrect was users can't ftp (fwd)

From: Terry Asher <[email-masked]>
Date: Mon, 8 May 1995 14:17:26 -0500 (CDT)

I have wu-ftpd-2.4 and it is working correctly for anonymous ftp
users, but will not let users ftp to their own account.
        Several people have suggested the /etc/shells file, but that is
not the answer because I have Ultrix 4.2A and I have enough different
shells in that file to cover every shell.
	I think I've found the code that prevents users from
ftp'ing into their own account.  It is from the src/ftpd.c file and I quote:

#ifdef ULTRIX_AUTH
        if ((numfails = ultrix_check_pass(passwd, xpasswd)) < 0) {
#else
        /* The strcmp does not catch null passwords! */
        if (pw == NULL || *pw->pw_passwd == '\0' ||
            strcmp(xpasswd, pw->pw_passwd)) {
#endif
            reply(530, "Login incorrect.");

So ultrix_check_pass is not finding the correct encrypted password.  I have
upgrade security level with Ultrix 4.2A.
Anybody with any ideas?  Should I just comment this out and re-compile?
	Terry Asher
*******************************************************************************
*  UNIX Administrator                | Yours through INTERNET,                *
*  Dial Center for Computer Sciences | Terry Asher  <[email-masked]>  *
*  Academic Computing Services       | UNIX-INTERNET<[email-masked]> *
*  Drake University                  |                                        *
*  2407 Carpenter                    |For the listener who listens in the snow*
*  Des Moines, Iowa  50311  USA      |and nothing himself, beholds the nothing*
*  (515) 271-3677                    |that is not there and that is there.    *
*       Web home page at http://www.drake.edu/public/ta2321s_home.html        *
*******************************************************************************